# xotcl.decls --
#
#	This file contains the declarations for all supported public
#	functions that are exported by the XOTcl library via the stubs table.
#	This file is used to generate the xotclDecls.h, xotclPlatDecls.h,
#	xotclStub.c, and xotclPlatStub.c files.
#	
#
# Copyright (c) 1998-1999 by Scriptics Corporation.
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
# 
# RCS: $Id: xotcl.decls,v 1.2 2000/08/04 22:11:50 davidg Exp $

library xotcl

interface xotcl
hooks {xotclInt}

# Declare each of the functions in the public Tcl interface.  Note that
# the an index should never be reused for a different function in order
# to preserve backwards compatibility.

declare 0 generic {
    int Xotcl_Init(Tcl_Interp *interp)
}
# 1 is reserved for safe init
#declare 1 generic {
#    int Xotcl_SafeInit(Tcl_Interp *interp)
#}
declare 2 generic {
    struct XOTclClass* XOTclIsClass(Tcl_Interp* in, ClientData cd)
}
#declare 3 generic {
#
#}
declare 4 generic {
    struct XOTclObject* XOTclGetObject(Tcl_Interp* in, char* name)
}
declare 5 generic {
    struct XOTclClass* XOTclGetClass(Tcl_Interp* in, char* name)
}
declare 6 generic {
    int XOTclCreateObject(Tcl_Interp* in, Tcl_Obj* name, struct XOTclClass* cl)
}
#declare 7 generic {
#
#}
declare 8 generic {
    int XOTclCreateClass(Tcl_Interp* in, Tcl_Obj* name, struct XOTclClass* cl)
}
declare 9 generic {
    int XOTclDeleteObject(Tcl_Interp* in, struct XOTclObject* obj)
}
declare 10 generic {
    int XOTclDeleteClass(Tcl_Interp* in, struct XOTclClass* cl)
}
declare 11 generic {
    void XOTclAddPMethod(Tcl_Interp* in, struct XOTclObject* obj, 
                         char* nm, Tcl_ObjCmdProc* proc,
	                 ClientData cd, Tcl_CmdDeleteProc* dp)
}
declare 12 generic {
    void XOTclAddIMethod(Tcl_Interp* in, struct XOTclClass* cl, 
                         char* nm, Tcl_ObjCmdProc* proc,
	                 ClientData cd, Tcl_CmdDeleteProc* dp)
}
declare 13 generic {
    void XOTclRemovePMethod(Tcl_Interp* in,struct XOTclObject* obj, char* nm)
}
declare 14 generic {
    void XOTclRemoveIMethod(Tcl_Interp* in, struct XOTclClass* cl, char* nm)
}
declare 15 generic {
    Tcl_Obj* XOTclOSetInstVar(struct XOTclObject* obj, Tcl_Interp* in,
	       Tcl_Obj* name, Tcl_Obj* value, int flgs)
}
declare 16 generic {
    Tcl_Obj* XOTclOGetInstVar(struct XOTclObject* obj, Tcl_Interp* in,
	       Tcl_Obj* name, int flgs)
}
declare 17 generic {
    int	XOTclInstVar(struct XOTclObject* obj, Tcl_Interp* in,
	     char* name, char* destName)
}
#declare 18 generic {
#
#}
declare 19 generic {
    Tcl_Obj* XOTclOSetInstVar2(struct XOTclObject* obj,
                 Tcl_Interp* in,Tcl_Obj* name1,Tcl_Obj* name2,
		 Tcl_Obj* value,int flgs)
}
declare 20 generic {
    Tcl_Obj* XOTclOGetInstVar2(struct XOTclObject* obj, 
                 Tcl_Interp* in,Tcl_Obj* name1,Tcl_Obj* name2,
		 int flgs)
}
declare 21 generic {
    int XOTclUnsetInstVar2(struct XOTclObject* obj, Tcl_Interp* in, 
                           char* name1, char* name2, 
		           int flgs)
}
declare 22 generic {
    int XOTcl_TraceObjCmd(ClientData cd, Tcl_Interp *in,
                          int objc, Tcl_Obj *CONST objv[])
}
# declare 23 generic {

# }
# declare 24 generic {

# }
# declare 25 generic {

# }
# declare 26 generic {

# }
# declare 27 generic {

# }
# declare 28 generic {

# }
# declare 29 generic {

# }
# declare 30 generic {

# }